Subject: Re: [Anima] Adam Roach's Discuss on draft-ietf-anima-bootstrapping-keyinfra-22: (with DISCUSS and COMMENT)
From: Michael Richardson <[email-masked]>
To: "Joel M. Halpern" <[email-masked]>
Cc: Adam Roach <[email-masked]>, [email-masked], Eliot Lear <[email-masked]>
Date: Wed, 17 Jul 2019 17:13:13 -0400
List-Id: Autonomic Networking Integrated Model and Approach <anima.ietf.org>

Joel M. Halpern <[email-masked]> wrote:
    > Thank you Michael.  I saw the proposed change in section 9.  I wonder
    > if that is hiding the MUST, since the mechanisms are in section 7...
    > Having said that, I can live with it as you have proposed.

I take your point. Options I see are:
1) swap the sections so section 9 (applicability) comes before 7 (reduced security)
2) mention the ACP applicability in section 7.
3) move the 7.2 section to section 9.

The intention with section 7 is to provide a palette of things, and let
their use be dictated by how the protocol is applied.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [